# ShutterAnimation class

Inheritance
  - Object
  - DiagnosticableTree
  - Widget
  - StatefulWidget
  - ShutterAnimation

## Constructors

ShutterAnimation({Key? key, required double innerArcSpeedMultiplier, required double outerArcSpeedMultiplier, required double animatedLineStrokeWidth, required double outerArcRadius, required double gapBetweenArcs, required Color accentColor, Icon manualSnapIcon = const Icon(Icons.photo_camera)})
  const

## Properties

accentColor → Color
  final
animatedLineStrokeWidth → double
  final
gapBetweenArcs → double
  final
hashCode → int
  The hash code for this object.
  read-only inherited
innerArcSpeedMultiplier → double
  final
key → Key?
  Controls how one widget replaces another widget in the tree.
  final inherited
manualSnapIcon → Icon
  final
outerArcRadius → double
  final
outerArcSpeedMultiplier → double
  final
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

createElement() → StatefulElement
  Creates a StatefulElement to manage this widget's location in the tree.
  inherited
createState() → State<ShutterAnimation>
  Creates the mutable state for this widget at a given location in the tree.
  override
debugDescribeChildren() → List<DiagnosticsNode>
  Returns a list of `DiagnosticsNode` objects describing this node's children.
  inherited
debugFillProperties(DiagnosticPropertiesBuilder properties) → void
  Add additional properties associated with the node.
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toDiagnosticsNode({String? name, DiagnosticsTreeStyle? style}) → DiagnosticsNode
  Returns a debug representation of the object that is used by debugging tools and by DiagnosticsNode.toStringDeep.
  inherited
toString({DiagnosticLevel minLevel = DiagnosticLevel.info}) → String
  A string representation of this object.
  inherited
toStringDeep({String prefixLineOne = '', String? prefixOtherLines, DiagnosticLevel minLevel = DiagnosticLevel.debug}) → String
  Returns a string representation of this node and its descendants.
  inherited
toStringShallow({String joiner = ', ', DiagnosticLevel minLevel = DiagnosticLevel.debug}) → String
  Returns a one-line detailed description of the object.
  inherited
toStringShort() → String
  A short, textual description of this widget.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited